// UrsAsyncWebServer Beispiel 3
// ---------------------------------

#include <UrsWiFi.h>
#include "MyWebServer.h"

String ssid = "bienonline";
String pw = "$Antilope";

MyWebServerClass MyWebServer;

void setup() {
  Serial.begin(115200);
  Serial.println(F("\n----------------------------"));
  Serial.println(F("UrsAsyncWebServer Beispiel 3"));
 
  // Beim WLAN anmelden
  UrsWiFi.connectStation(ssid, pw);
  
  // Web-Server starten
  MyWebServer.begin(); 
}

void loop() {
  // Aktionenanforderungen des Webservers synchron bearbeiten 
  // -------------------------------------------------------------------------
  if (MyWebServer.shouldReboot) { // Reboot angefordert
    Serial.println("Rebooting...");
    Serial.flush(); // Ausgabe per Serial abschlieen
    ESP.restart();  // Reset auslsen
  }
}
